- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Functions
Ecore_IPC - Inter Process Communication Library Functions
Ecore

Functions that set up and shut down the Ecore IPC Library. More...

## Modules
| IPC Server Functions
| Functions the deal with IPC server objects.
| IPC Client Functions
| Functions that deal with IPC client objects.

## Functions
EAPI int | ecore_ipc_init (void)
| Initialises the Ecore IPC library. More...
EAPI int | ecore_ipc_shutdown (void)
| Shuts down the Ecore IPC library. More...

## Detailed Description

Functions that set up and shut down the Ecore IPC Library.

## Function Documentation

EAPI int ecore_ipc_init | ( | void |  | ) |

Initialises the Ecore IPC library.

Returns
  Number of times the library has been initialised without being shut down.

References ECORE_CON_EVENT_CLIENT_ADD, ECORE_CON_EVENT_CLIENT_DATA, ECORE_CON_EVENT_CLIENT_DEL, ECORE_CON_EVENT_SERVER_ADD, ECORE_CON_EVENT_SERVER_DATA, ECORE_CON_EVENT_SERVER_DEL, ecore_con_init(), ecore_event_handler_add(), ecore_event_type_new(), eina_log_domain_register(), and EINA_LOG_ERR.

EAPI int ecore_ipc_shutdown | ( | void |  | ) |

Shuts down the Ecore IPC library.

Returns
  Number of times the library has been initialised without being shut down.

References ecore_con_shutdown(), ecore_event_handler_del(), ecore_ipc_server_del(), EINA_LIST_FOREACH_SAFE, and eina_log_domain_unregister().